// 名前空間
var CHK_pu = {};

CHK_pu.newReportList;
CHK_pu.continueWorkReport;
CHK_pu.reportWithWarning;

CHK_pu.countNewReportList = 0;
CHK_pu.countContinueWorkReport = 0;
CHK_pu.countReportWithWarning= 0;

CHK_pu.initCommon = function() {
	CHK_pu.countNewReportList = 0;
	CHK_pu.countContinueWorkReport = 0;
	CHK_pu.countReportWithWarning = 0;
	CHK_pu.newReportList = {list_0: []};
	CHK_pu.continueWorkReport = {list_0: []};
	CHK_pu.reportWithWarning = {list_0: []};

}

CHK_pu.init = function() {
	// 作業一覧JSONデータ
	CHK.loadJson(CHK.jsonPath.operationList, function (json) {
		CHK.operation = json;
		CHK_pu.createNewReportList(CHK.operation.operationList);
		CHK_pu.createContinueWorkList(CHK.operation.operationList);
		CHK_pu.createReportWithWarning(CHK.operation.operationList);
	});
}


CHK_pu.getPickup = function(operationList) {
	for (var i = 0; i < operationList.length; i++) {
		if (operationList[i].reportType == 3 ) {
			CHK_pu.countContinueWorkReport = CHK_pu.countContinueWorkReport + 1;
			CHK_pu.continueWorkReport.push(operationList[i]);
		}
		CHK_pu.countNewReportList = CHK_pu.countNewReportList + 1;
	}
	CHK_pu.newReportList.list_0 = operationList;
}

CHK_pu.createNewReportList = function(operationList, isSearched = false) {
	console.log("createNewReportList" , operationList );

    for (var i = 0; i < operationList.length; i++) {

		//TODO aタグlist.html 転移処理
		var operationNameLi;
		if (operationList[i].permitCodeRequiredFlg == 1) {
		     operationNameLi = $("<li class='item list-unstyled rounded border mb-2' name = 'operationId_" + operationList[i].operationId
            		    + "'><a href=\"javascript:CHK.displayAlert('onlyRfid');\" class='d-block px-3 py-3 text-decoration-none text-dark'><div class='title'>" + operationList[i].operationName
            		    + "</div> <i class='fas fa-chevron-right fs-12'></i></a></li>");
		} else {
             operationNameLi = $("<li class='item list-unstyled rounded border mb-2' name = 'operationId_" + operationList[i].operationId
                        + "'><a href=\"javascript:CHK_L.sendAppCommand('goOperation', '"
                        + operationList[i].operationId + "', '" + operationList[i].contentId
                        + "');\" class='d-block px-3 py-3 text-decoration-none text-dark'>" + operationList[i].operationName
                       	+ "</div> <i class='fas fa-chevron-right fs-12'></i></a></li>");
		}

		$("#newReport-list").append(operationNameLi);

	}
	if(CHK.isAndroid) {
        android.hideLoading();
    }

    console.log("end createNewReportList" );
};



CHK_pu.createContinueWorkList = function(operationList, isSearched = false) {
	console.log("createContinueWorkList" );
    for (var i = 0; i < operationList.length; i++) {
		if (operationList[i].reportType === 3)
		{
			//TODO aタグlist.html 転移処理
			var operationNameLi;
			if (operationList[i].permitCodeRequiredFlg == 1) {
			     operationNameLi = $("<li class='item list-unstyled rounded border mb-2' name = 'operationId_" + operationList[i].operationId
	            		    + "'><a href=\"javascript:CHK.displayAlert('onlyRfid');\" class='d-block px-3 py-2 text-decoration-none text-dark'>"
	            		    +"<div class='tag fs-8 text-secondary px-2 py-1 mr-2 rounded border mb-1'>" + operationList[i].operationName
	            		    + "</div> <div class='title'>" + operationList[i].operationName
	            		    + "</div> <div class='sub-title-wrap'> <div class='fs-8 text-secondary mr-2'><div class='data'>" + "code-0001"
	            		    + "</div></div> <div class='sub-title'>" + operationList[i].operationName
	            		    + "</div></div> <i class='fas fa-chevron-right fs-12''></i> </a></li>");
			} else {
	             operationNameLi = $("<li class='item list-unstyled rounded border mb-2' name = 'operationId_" + operationList[i].operationId
	                        + "'><a href=\"javascript:CHK_L.sendAppCommand('goOperation', '" + operationList[i].operationId + "', '" + operationList[i].contentId
	                        + "');\" class='d-block px-3 py-2 text-decoration-none text-dark'>"
	                        +"<div class='tag fs-8 text-secondary px-2 py-1 mr-2 rounded border mb-1'>" + operationList[i].operationName
	            		    + "</div> <div class='title'>" + operationList[i].operationName
	            		    + "</div> <div class='sub-title-wrap'> <div class='fs-8 text-secondary mr-2'><div class='data'>" + "code-0001"
	            		    + "</div></div> <div class='sub-title'>" + operationList[i].operationName
	            		    + "</div></div> <i class='fas fa-chevron-right fs-12''></i> </a></li>");
			}

			$("#continueWork-list").append(operationNameLi);
		}
	}
	if(CHK.isAndroid) {
        android.hideLoading();
    }
};


CHK_pu.createReportWithWarning = function(operationList, isSearched = false) {
	console.log("createReportWithWarning"  );
    for (var i = 0; i < operationList.length; i++) {
		if (operationList[i].reportType === 3)
		{
			//TODO aタグlist.html 転移処理
			var operationNameLi;
			if (operationList[i].permitCodeRequiredFlg == 1) {
			     operationNameLi = $("<li class='item list-unstyled rounded border mb-2' name = 'operationId_" + operationList[i].operationId
	            		    + "'><a href=\"javascript:CHK.displayAlert('onlyRfid');\" class='d-block px-3 py-2 text-decoration-none text-dark'>"
	            		    +"<div class='tag fs-8 text-secondary px-2 py-1 mr-2 rounded border mb-1'>" + operationList[i].operationName
	            		    + "</div> <div class='title'>" + operationList[i].operationName
	            		    + "</div> <div class='sub-title-wrap'> <div class='fs-8 text-secondary mr-2'><div class='data'>" + "code-0001"
	            		    + "</div></div> <div class='sub-title'>" + operationList[i].operationName
	            		    + "</div></div> <i class='fas fa-chevron-right fs-12''></i> </a></li>");
			} else {
	             operationNameLi = $("<li class='item list-unstyled rounded border mb-2' name = 'operationId_" + operationList[i].operationId
	                        + "'><a href=\"javascript:CHK_L.sendAppCommand('goOperation', '" + operationList[i].operationId + "', '" + operationList[i].contentId
	                        + "');\" class='d-block px-3 py-2 text-decoration-none text-dark'>"
	                        +"<div class='tag fs-8 text-secondary px-2 py-1 mr-2 rounded border mb-1'>" + operationList[i].operationName
	            		    + "</div> <div class='title'>" + operationList[i].operationName
	            		    + "</div> <div class='sub-title-wrap'> <div class='fs-8 text-secondary mr-2'><div class='data'>" + "code-0001"
	            		    + "</div></div> <div class='sub-title'>" + operationList[i].operationName
	            		    + "</div></div> <i class='fas fa-chevron-right fs-12''></i> </a></li>");
			}

			$("#reportWithWarning-list").append(operationNameLi);
		}
	}
	if(CHK.isAndroid) {
        android.hideLoading();
    }
};